configure script for Solaris.
[kopensolaris-gnu/glibc.git] / sysdeps / unix / sysv / sysv4 / solaris2 / configure
1  # Local configure fragment for sysdeps/unix/sysv/sysv4/solaris2
2
3 # Concensus on stdio is that it's broken.
4 test $stdio = default && stdio=libio
5
6 # Crypt is your friend.
7 case $add_ons in
8   *crypt*)
9     message=
10     ;;
11   *)
12     message="\
13 *** WARNING:
14 *** Are you sure you do not want to use the \`crypt' add-on?"
15     ;;
16 esac
17
18 if test "$message"; then
19   if test $enable_sanity = yes; then
20     echo "\
21 *** You should not compile the GNU libc without the \`crypt' add-on.
22 *** Not using them risks to be incompatible with the libraries of
23 *** other systems.  Consider getting the add-on and restart the
24 *** configuration.
25 *** If you reall mean to avoid this add-on run configure again, now
26 *** using the extra parameter \`--disable-sanity-checks'."
27     exit 1
28   else
29     echo "$message"
30   fi
31 fi